/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.tugboat.gtd.dto{
  public class BrowsePersonInChargeDto{
    [Bindable]
    public var id:Number;
    
    [Bindable]
    public var last_name:String;
    
    [Bindable]
    public var first_name:String;
    
    [Bindable]
    public var role_id:Number;

    [Bindable]
    public var selected:Boolean;
    
    /**
     * @param id
     * @param lastName
     * @param firstName 
     * @param roleId
     */
    public function BrowsePersonInChargeDto(
      id:Number, lastName:String, firstName:String, roleId:Number, selected:Boolean) {

      this.id = id;
      this.last_name = lastName;
      this.first_name = firstName;
      this.role_id = roleId;
      this.selected = selected;
    }
  }
}