/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
import mx.controls.Label;
import mx.controls.Alert;
import mx.managers.PopUpManager;

import org.seasar.tugboat.gtd.dao.ServerURLDao;
import org.seasar.tugboat.gtd.dto.ServerURLDto;

/**
 * initialize.
 */
private function init():void {
}

/**
 * cancel on click.
 */
private function cancel_onclick():void {
  PopUpManager.removePopUp(this);
}

/**
 * post on click.
 */
private function post_onclick():void {
  //this._server_url_dao.update(new ServerURLDto(1,this.url.text));
  var shared_object:SharedObject
    = SharedObject.getLocal("tugboat-gtd-url");
  shared_object.data.url = this.url.text;
  shared_object.flush();
  
  this._label_url.text = this.url.text;
  this.cancel_onclick();
}

// server url label object.
private var _label_url:Label;

/**
 * set label url.
 * @param label_url
 */  
public function set_label_url(label_url:Label):void {
  this._label_url = label_url;
  this.url.text = label_url.text;
}

// server url dao.
private var _server_url_dao:ServerURLDao;

/**
 * set server url dao.
 * @param server_url_dao
 */
public function set server_url_dao(server_url_dao:ServerURLDao):void {
  this._server_url_dao = server_url_dao;
}