/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.tugboat.gtd.dto{
  import org.seasar.tugboat.gtd.commons.Constants;
  
  public class ActivityMemberDto {
    
    [Bindable]
    public var id:int;
    
    [Bindable]
    public var first_name:String;
    
    [Bindable]
    public var last_name:String;
    
    [Bindable]
    public var role_id:int;
    
    [Bindable]
    public var role_name:String;
    
    [Bindable]
    public var join:String;
    
    /**
     * @param id 
     * @param first_name
     * @param last_name
     * @param role id
     */
    public function ActivityMemberDto(
      id:int, first_name:String, last_name:String, role_id:int, join:String) {
      
      this.id = id;
      this.first_name = first_name;
      this.last_name = last_name;
      this.role_id = role_id;
      this.role_name = Constants.get_user_role(this.role_id).name;
      this.join = join;
    }
  }
}