/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.tugboat.gtd.dto{
  public class CustomComboBoxItemDto {
    [Bindable]
    public var id:int;
    
    [Bindable]
    public var label:String;
    
    [Bindable]
    public var icon:String;
    
    /**
     * @param id 
     * @param label
     * @param icon
     */
    public function CustomComboBoxItemDto(id:int, label:String, icon:String) {
      this.id = id;
      this.label = label;
      this.icon = icon;
    }
  }
}